<?php
/**
 * Created by PhpStorm.
 * User: Joseg
 * Date: 30/7/2018
 * Time: 1:10 AM
 */

include '../comun/validarSesion.php';

if (isset($_REQUEST['token']) && isset($_REQUEST['id_votacion'])) {
    $Valido = new validator();
    if ($Valido->checkToken($_REQUEST['token'])){
        $creadoPor = $Valido->retornarIdToken($_REQUEST['token']);
        $condominioData = $Valido->retornarDatos($creadoPor);
        $idvotacion = $_REQUEST['id_votacion'];
        //$checkToken  = R::count( 'voto', ' id_votacion = ? ', [$idvotacion] );
        $opciones  = R::findAll( 'opcionconsulta', 'id_consulta =:id_consulta AND estado =:estado ',array('id_consulta' => $idvotacion, 'estado' => '1'));
        $options= [];
        foreach ($opciones as $opcion){
            $opcionid = $opcion['id'];
            $cantidad = R::count( 'voto', ' id_opcion = ? ', [$opcionid] );
            $opcionvota['id']=$opcion['id'];
            $opcionvota['descripcion']=$opcion['descripcion'];
            $opcionvota['votos_recibidos']=$cantidad;
            $options[]=$opcionvota;
        }
        include '../comun/mensajeOk.php';
        print_r(json_encode($options));
    }else{
        include '../comun/mensajeDatosInvalidos.php';
    }
}else{
    include '../comun/mensajeSesionInvalida.php';
}